<?php

/**
  * SquirrelMail Gzip Compressed Output Plugin
  * Copyright (C) 2002-2004 Tyler Akins, Paul Lesneiwski <pdontthink@angrynerds.com>
  * This program is licensed under GPL. See COPYING for details
  *
  */

global $gzip_binary, $gzip_enable_default, $gzip_minimum_size_default, 
       $gzip_allow_overrides, $gzip_compression_level;


// This is the default on/off switch for compression for 
// all users.  Set to 1 to turn on compression, zero to 
// turn it off.
//
$gzip_enable_default = 1;



// This is the default page size at which the plugin will
// start compressing the output (in kilobytes)
//
$gzip_minimum_size_default = 5;



// This setting allows the administrator to disable user 
// ability to change plugin settings (1 = allow user overrides,
// 0 (zero) = disallow user overrides)
//
$gzip_allow_overrides = 1;



// This is the compression level that will be used.  You may
// use one of the values below:
//
//    0              -  No compression
//    1              -  Minimum compression
//    2 - 8          -  Increasingly strong compression
//    9              -  Maximum compression
//    'system_load'  -  Compression level is determined dynamically
//                      based on current system load -- the higher
//                      the system load, the lighter the compression
//
//$gzip_compression_level = 3;
$gzip_compression_level = 'system_load';



// This is the path to the gzip program on your system, which is used 
// if you have not compiled zlib into your PHP installation (which is 
// the preferred way to use this plugin).  If you don't have zlib support,
// make sure this path is correct (try typing "which gzip" if you are
// unsure).  If you do have zlib support, you can ignore this setting
// entirely.  See the README file for more information on getting zlib
// support into your PHP installation.
//
$gzip_binary = '/bin/gzip';



?>
